﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>RadWindowManager for ASP.NET AJAX clientside API</title>
    <link rel="stylesheet" type="text/css" href="StyleSheet.css">
</head>
<body>
    <form id="Form1" method="post" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <br>

        <script>
					function ShowMessage(oMessage)
					{
						var oCheck = document.getElementById("ShowMessageCheckbox");
						if (false == oCheck.checked) return;
						else alert (oMessage);						
					}
				
					function UseWindowManager()
					{
						ShowMessage("Getting rad window manager");
						var oManager = GetRadWindowManager();
						ShowMessage("Success. Getting existing window DialogWindow using GetWindowByName");
						var oWnd = oManager.getWindowByName("DialogWindow");
						
						ShowMessage("Success. Setting a size and a Url to the window using its client API before showing");
						oWnd.setSize(400,400);						
						oWnd.setUrl("http://www.google.com");
						
						ShowMessage("Success. Opening window");
						oWnd.show();
						
						ShowMessage("Success. Calling window RadWindowManager.GetActiveWindow (should return reference to current window");
						var oActive = oManager.getActiveWindow();
						
						ShowMessage("Success. Is current visible window the active one? " + (oActive != null && oActive == oWnd));
						
						ShowMessage("Success. Open a new window using RadWindowManager.Open using default settings");
						
						var oNew = oManager.open("http://www.google.com", null);//New window every time
					}																			
        </script>

        <input id="ShowMessageCheckbox" checked type="checkbox">Show alerts for each action
        <br>
        <button onclick="UseWindowManager();return false;" class="bButton" style="width: 200px">
            Click to use RadWindowManager</button>
        <telerik:RadWindowManager ID="Singleton" runat="server">
            <Windows>
                <telerik:RadWindow ID="DialogWindow" runat="server" Width="250px" Height="250px"
                    Title="Dialog" NavigateUrl="./TestPage/Default.html">
                </telerik:RadWindow>
            </Windows>
        </telerik:RadWindowManager>
        <br />
        <br />
        <table class="ConfigTable">
            <tr>
                <th>
                    Clientside RadWindowManager methods</th>
            </tr>
            <tr>
                <td>
                    <strong>GetRadWindowManager</strong> - returns a reference to the window manager.Note, that when using RadWindow for ASP.NET AJAX (Prometheus), you can have more than one RadWindowManager controls. In this case, if you use this method, you will get the RadWindowManager which is  rendered first.  
<br />
                    <strong>getWindowByName</strong> - returns a reference to a rad window (Name is
                    the window's serverside Id property!)<br />
                    <strong>getActiveWindow</strong> - returns a reference to the current active window<br />
                    <strong>open</strong> - opens a new or existing window. Can be used to change the
                    url of existing window as well.<br />
                    <strong>tile, cascade, closeAll, minimizeAll, minimizeActiveWindow, restoreActiveWindow</strong>
                    - other methods of RadWindowManager<br />
                </td>
            </tr>
            <tr>
                <th>
                    Clientside RadWindowManager methods</th>
            </tr>
            <tr>
                <td>
                    <font color="#0000ff" size="2">
                        <p>
                        function</font><font size="2"> UseWindowManager()<br>
                            {&nbsp;<br>
                        </font><font color="#008000" size="2">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; //Getting rad
                            window manager<br>
                        </font><font color="#0000ff" size="2">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; var</font><font
                            size="2"> oManager = GetRadWindowManager();&nbsp;<br>
                        </font><font color="#008000" size="2">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; //Success.
                            Getting existing window DialogWindow using getWindowByName<br>
                        </font><font color="#0000ff" size="2">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; var</font><font
                            size="2"> oWnd = oManager.getWindowByName("DialogWindow");&nbsp;<br>
                        </font><font color="#008000" size="2">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; //Success.
                            Setting a size and a Url to the window using its client API before showing<br>
                        </font><font size="2">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; oWnd.setSize(400,400);&nbsp;<br>
                            &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; oWnd.setUrl("http://www.google.com");<br>
                        </font><font color="#008000" size="2">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; //Success.
                            Opening window<br>
                        </font><font size="2">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; oWnd.show();<br>
                        </font><font color="#008000" size="2">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; //Success.
                            Calling window RadWindowManager.getActiveWindow (should return reference to current
                            window<br>
                        </font><font color="#0000ff" size="2">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; var</font><font
                            size="2"> oActive = oManager.getActiveWindow();&nbsp;<br>
                        </font><font color="#008000" size="2">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; //Success.
                            Is current visible window the active one? " + (oActive != null &amp;&amp; oActive
                            == oWnd)<br>
                        </font><font color="#008000" size="2">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; //Success.
                            Open a new window using RadWindowManager.Open using default settings<br>
                        </font><font color="#0000ff" size="2">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; var</font><font
                            size="2"> oNew = oManager.open("http://www.google.com", "NewWindow");<br>
                            } </font>
                </td>
            </tr>
        </table>
    </form>
</body>
</html>
